## citar 1.4+dfsg

=== Makefile ===

.PHONY: clean
clean:
	eldev clean all

.PHONY: lint
lint:
	eldev -C --unstable -T lint

.PHONY: test
test:
	eldev -C --unstable -T test

## citar 1.0+dfsg

=== debian/changelog ===
citar (1.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1017683).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 20 Dec 2022 09:03:01 +0100

=== debian/control ===
Source: citar
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 elpa-htmlize,
 elpa-parsebib,
 elpa-embark
Standards-Version: 4.5.1
Homepage: https://github.com/emacs-citar/citar
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/citar
Vcs-Git: https://salsa.debian.org/emacsen-team/citar.git

Package: elpa-citar
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-embark
Recommends: elpa-vertico, elpa-marginalia, emacs
Enhances: emacs
Provides: elpa-citar-embark
Description: Act on bibliographic references from Emacs
 This package provides a completing-read front-end to browse and act on BibTeX
 and BibLaTeX bibliographic data, and LaTeX, markdown, and org-cite editing
 support.

## citar 1.1+dfsg

=== debian/changelog ===
citar (1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.2 (no changes required).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 27 Feb 2023 17:48:53 +0100

citar (1.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Jan 2023 14:15:45 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	emacs -q --batch -l htmlize README.org -f org-texinfo-export-to-info -f org-html-export-to-html
# Makeinfo behaving funny, changing images path manually
	sed -i -E '/image src="images/s/images/\/usr\/share\/doc\/elpa-citar\/images/g' citar.info

# Deactivate eldev
override_dh_auto_clean:
	rm -f citar.texi citar.info* citar.html

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/emacs-citar/citar/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## citar 1.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  elpa-htmlize,
  elpa-parsebib,
  elpa-embark
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/emacs-citar/citar
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/citar

## citar 1.4+dfsg

=== debian/changelog ===
citar (1.4+dfsg-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 20:57:57 +0000

citar (1.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:47:48 +0900

citar (1.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:21:26 +0900

citar (1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Refresh d/install to match new upstream files.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 21 Oct 2023 10:34:12 +0200
